kurteev

Релиз стабильной версии Joomla 3.6.1

Joomla 3.6.1 Stable

Вышла стабильная версия Joomla 3.6.1. Данная версия является релизом безопасности и рекомендована для обновления.

UPD 04.08.2016, 02:20: В Joomla 3.6.1 есть проблемы с обновлением, и поэтому скоро выйдет релиз Joomla 3.6.2. Однако сама проблема связана с переходом от версии 3.5.1 и ниже на версию 3.6.1. Дело в том, что придется обновляться 2 раза, сначала до 3.6.0, а уже потом до 3.6.1. Также нужно установить через Менеджер обновлений для расширений компонент обновлений Joomla с номером версии 3.6.1.

UPD 04.08.2016, 10:00: Для PHP 5.3.x возможны проблемы с сессиями при авторизации в административную панель и отображением ошибки: 0 Failed to start the session: already started by PHP ($_SESSION is set). На данный момент решение уже описано в следующем пуле https://github.com/joomla/joomla-cms/pull/11430/files.

UPD 04.08.2016, 10:58: Ведущий разработчик Джордж Вилсон (George Wilson) обещает выкатить Joomla 3.6.2 сегодня вечером.

Скачать Joomla! 3.6.1 c GitHub

Что нового в Joomla! 3.6.1?

  • Устранена ошибка обратной совместимости для PHP 7.0.9;
  • Исправление ошибок для языка и перенаправлением кэширования в браузере;
  • Исправлены ошибки обновления с Joomla! 2.5.28;
  • Исправлен драйвер базы данных SQLAzure;
  • Визуальный редактор TinyMCE обновлен до версии 4.4.0.

Исправления связанные с безопасностью

  • Средний приоритет безопасности - Core - CSRF. Подробнее.
  • Низкий приоритет безопасности - Core - ACL. Подробнее.
  • Низкий приоритет безопасности - Core - XSS уязвимости. Подробнее.

Проблема обновления

Если после обновления у вас на белом экране появилась надпись связанная с некорректным токеном, то вам необходимо сделать следующие шаги:

  1. Перейти в административную панель сайта example.com/administrator
  2. Далее перейти через верхнее меню Расширения → Менеджер расширений → Базы данных
  3. Нажать на кнопку Исправить (Fix).

Полный список всех нововведений можно посмотреть в GitHub Repository. Ваши замечания и ошибки можно отправлять на Joomla! Issue Tracker.

Так же вы можете повлиять на развитие Joomla! 3.6, для этого необходимо заполнить небольшую форму: Joomla! 3.6: мы хотим узнать ваше мнение.

Это интересно:

Комментарии  

Ренат
+1 # Ренат 04.08.2016 08:06
В общем попытался обновить с 3.6.0 до 3.6.1 напрямую/на лету и не получается пишет "Ошибка загрузки пакета обновления". Буду ждать пока это исправят в версии 3.6.2
Ответить | Ответить с цитатой | Цитировать | Сообщить модератору
Дмитрий Денисов
0 # Дмитрий Денисов 04.08.2016 09:10
Пробовал обновиться на лету - выдает ошибку с Токеном на абракадабре. Предварительно правда обновил компонент обновлений Joomla с номером версии 3.6.1.

Обновился вручную через ФТП - всё обновилось и работает. На первый взгляд...
Ответить | Ответить с цитатой | Цитировать | Сообщить модератору
Pavel
0 # Pavel 04.08.2016 10:45
Напрямую выдает следующее: "Последний запрос был отклонён, поскольку он содержит неправильный параметр безопасности (security token)"
Ответить | Ответить с цитатой | Цитировать | Сообщить модератору
Денис Носов
0 # Денис Носов 04.08.2016 10:50
В новости читайте абзац Проблема обновления
Ответить | Ответить с цитатой | Цитировать | Сообщить модератору
Марат
0 # Марат 08.08.2016 23:04
Павел, необходимо обновить akeeba backup до последней версии, джумла должна сама предложить его если нет сделай сам обновление принудительно. И все , можешь обновляться до 3.6.2
Ответить | Ответить с цитатой | Цитировать | Сообщить модератору
Мария
0 # Мария 04.08.2016 09:29
Проблема с токеном не решается
Ответить | Ответить с цитатой | Цитировать | Сообщить модератору
Денис Носов
0 # Денис Носов 04.08.2016 10:05
Добавил обновление UPD 04.08.2016, 10:00 в статье, уже есть патч для решения проблемы с токеном для PHP 5.3. Читайте новость с самого начала.
Ответить | Ответить с цитатой | Цитировать | Сообщить модератору
Никита
0 # Никита 04.08.2016 10:25
У меня PHP 5.6 - И все равно ошибка с токеном на белом экране.
"Расширения → Менеджер расширений → Базы данных → Исправить " - не дают никакого эффекта, ничего там не исправляется.
Ответить | Ответить с цитатой | Цитировать | Сообщить модератору
Денис Носов
0 # Денис Носов 04.08.2016 10:28
Попробуйте данное решение
github.com/.../...
Ответить | Ответить с цитатой | Цитировать | Сообщить модератору
jorevo
0 # jorevo 04.08.2016 11:19
Обновил с десяток сайтов с 3.6.0 - все ругнулись на инвалидный токен! Но вылечилось как вышеописано фиксом таблиц. Вот мне интересно как надо так тестировать обновление чтобы пропустить этот глюк... или это у меня со всеми сайтами что то не то? )

ЗЫ. Сайты с 3.4.8 видят только обновление до 3.6.0... обновился. В разделе Обновления расширений появился ап до 3.6.1 - обновился - версия осталась 3.6.0! ) Обновился через обновленич Жумлы - обновилось без ошибки с токеном. Чудеса! )
Ответить | Ответить с цитатой | Цитировать | Сообщить модератору
Никита
0 # Никита 04.08.2016 12:16
Не получается никак. Скачал пакет обновления, вручную попробовал загрузить, обновить - всё то же самое, ошибка токена.
При этом смотрю что сам компонент обновления Джумла обновился до версии 3.6.1
Ответить | Ответить с цитатой | Цитировать | Сообщить модератору
Pavel
0 # Pavel 04.08.2016 13:37
Видимо придется ждать 3.6.2, а может и 3.6.3
Ответить | Ответить с цитатой | Цитировать | Сообщить модератору
jorevo
0 # jorevo 04.08.2016 15:12
Цитирую Никита:
При этом смотрю что сам компонент обновления Джумла обновился до версии 3.6.1

У меня после обновления компонента сама жумла до 3.6.1 обновляется без "ошибок токена".
Ответить | Ответить с цитатой | Цитировать | Сообщить модератору
Олег
0 # Олег 04.08.2016 19:06
Посли обновления на 3.6.1. Захожу а админку сайта с мобильного тел. Открываю вкладку компоненты ( список разворачивается) а выбрать не могу ни одного пункта. В других пунктах( материалы....) все нормально. Подскажите как можно исправить?!?!!???
Ответить | Ответить с цитатой | Цитировать | Сообщить модератору
Вероника
0 # Вероника 04.08.2016 20:12
Ребята подскажите, что делать? Была в админке, обновилась, теперь не могу войти в панель вообще. Пишет ошибка

0 Failed to start the session: already started by PHP ($_SESSION is set).
Пожалуйста подскажите что делать????(
Ответить | Ответить с цитатой | Цитировать | Сообщить модератору
kartografu
0 # kartografu 04.08.2016 20:38
Смотри в пример проблемы я сам был в шоке у меня крупный проект упал ну заменил все ок вродебы, если что могу помочь
Ответить | Ответить с цитатой | Цитировать | Сообщить модератору
kartografu
0 # kartografu 04.08.2016 20:54
дайте скайп или вайбер там нужно некоторое изминение сделать github.com/.../files
Ответить | Ответить с цитатой | Цитировать | Сообщить модератору
Вероника
0 # Вероника 04.08.2016 21:15
Там это где?? В каком файле?
Ответить | Ответить с цитатой | Цитировать | Сообщить модератору
Вероника
0 # Вероника 04.08.2016 21:18
mir-jilya Скайп, напишите туда
Ответить | Ответить с цитатой | Цитировать | Сообщить модератору
kartografu
0 # kartografu 04.08.2016 21:48
написал вы не отвечаете
Ответить | Ответить с цитатой | Цитировать | Сообщить модератору
Константин
0 # Константин 04.08.2016 22:42
Установил я эту "СТАБИЛЬНУЮ" версию и последний virtuemart после пары часов работы неожиданно получаю вот это:

Обнаружена ошибка.
0 Failed to start the session: already started by PHP ($_SESSION is set).
Call stack
# Function Location
1 JApplicationCms->execute() Z:\home\test1.ru\www\administrator\index.php:51
2 JApplicationAdministrator->doExecute() Z:\home\test1.ru\www\libraries\cms\application\cms.php:257
3 JApplicationAdministrator->dispatch() Z:\home\test1.ru\www\libraries\cms\application\administrator.php:152
4 JComponentHelper::renderComponent() Z:\home\test1.ru\www\libraries\cms\application\administrator.php:98
5 JComponentHelper::executeComponent() Z:\home\test1.ru\www\libraries\cms\component\helper.php:380
6 require_once() Z:\home\test1.ru\www\libraries\cms\component\helper.php:405
7 JControllerLegacy->execute() Z:\home\test1.ru\www\administrator\components\com_login\login.php:22
8 LoginController->login() Z:\home\test1.ru\www\libraries\legacy\controller\legacy.php:702
9 JApplicationAdministrator->login() Z:\home\test1.ru\www\administrator\components\com_login\controller.php:64
10 JApplicationCms->login() Z:\home\test1.ru\www\libraries\cms\application\administrator.php:327
11 JApplicationBase->triggerEvent() Z:\home\test1.ru\www\libraries\cms\application\cms.php:852
12 JEventDispatcher->trigger() Z:\home\test1.ru\www\libraries\joomla\application\base.php:106
13 JEvent->update() Z:\home\test1.ru\www\libraries\joomla\event\dispatcher.php:159
14 call_user_func_array() Z:\home\test1.ru\www\libraries\joomla\event\event.php:69
15 PlgUserJoomla->onUserLogin()
16 JSession->fork() Z:\home\test1.ru\www\plugins\user\joomla\joomla.php:217
17 JSessionHandlerNative->regenerate() Z:\home\test1.ru\www\libraries\joomla\session\session.php:779
18 JSessionHandlerNative->doSessionStart() Z:\home\test1.ru\www\libraries\joomla\session\handler\native.php:158

Вы лазит как только авторезируешься на сайте или в админке. Последнее что сделал перед этим отключил все валюты кроме рубля
Ответить | Ответить с цитатой | Цитировать | Сообщить модератору
Алла
0 # Алла 04.08.2016 22:45
Некоторые модули перестали сохраняться после обновления, ужас. Ошибку с админикой исправила по инструкции с шапки, но работать все рано нормально невозможно. Хорошо только один сайт обновила.
Дернуло же сегодня на одном попробовать...
Жду 3.6.2
Ответить | Ответить с цитатой | Цитировать | Сообщить модератору
Леонид
0 # Леонид 05.08.2016 01:35
Может стоить подождать 3.6.2
Ответить | Ответить с цитатой | Цитировать | Сообщить модератору
Вадим Куницын
0 # Вадим Куницын 05.08.2016 02:31
уже есть 3.6.2
Ответить | Ответить с цитатой | Цитировать | Сообщить модератору
Никита
0 # Никита 05.08.2016 08:47
Разработчики прикалываются что ли? 3.6.2 точно так же не устанавливается - белый экран и ошибка токена. Текущая версия - 3.6.0
Ответить | Ответить с цитатой | Цитировать | Сообщить модератору
Никита
0 # Никита 05.08.2016 08:49
Хотя судя по комментариям - очень хорошо что эти обновления не устанавливаются)))
Ответить | Ответить с цитатой | Цитировать | Сообщить модератору
Ренат
0 # Ренат 05.08.2016 09:38
Блин разработчики опять напортачили, теперь индекс ru добавляется не после юрл сайта а в конце. с английским все нормально, но тоже страницы не работают, так как после en стали добавляется ru. Тут три варианта, удалять ru в каждой ссылке при загрузке страницы, отключить SEF (но тогда ссылки будет не очень), править код
Ответить | Ответить с цитатой | Цитировать | Сообщить модератору
xppx
0 # xppx 05.08.2016 13:11
Обновился до 3.6.2, все ок
Ответить | Ответить с цитатой | Цитировать | Сообщить модератору
Анатолий
0 # Анатолий 05.08.2016 15:44
Вчера обновился до версии 3.6.1 сегодня не могу зайти в админку пишет:

0 Failed to start the session: already started by PHP ($_SESSION is set).

Ребята помогите, где и что нужно поменять?
Ответить | Ответить с цитатой | Цитировать | Сообщить модератору
Денис Носов
0 # Денис Носов 06.08.2016 01:57
См. UPD 04.08.2016, 10:00 в начале новости.
Для тех кто слеп могу очки подарить, а кто не умеет читать, могу отправит в школу.
Ответить | Ответить с цитатой | Цитировать | Сообщить модератору
Леонид
0 # Леонид 06.08.2016 01:50
Цитирую Анатолий:
Вчера обновился до версии 3.6.1 сегодня не могу зайти в админку пишет:

0 Failed to start the session: already started by PHP ($_SESSION is set).

Ребята помогите, где и что нужно поменять?

Такая же хрень.
Ответить | Ответить с цитатой | Цитировать | Сообщить модератору
Денис Носов
0 # Денис Носов 06.08.2016 01:56
Блин, ребята, вы хоть читать умеете?

В начале новости черным по белому написано же!!!

См. UPD 04.08.2016, 10:00.
Ответить | Ответить с цитатой | Цитировать | Сообщить модератору
Антон Сугоняк
0 # Антон Сугоняк 06.08.2016 17:19
Парадокс! Единственный сайт из примерно 20, лежащих на одном и том же сервере не хотел обновляться. Выкидывая из установки. по рекомендациям перешел по ссылке github.com/.../native.php.
Скопировал и заменил файл native.php, тогда только совершилось успешное обновление с версии 3.6.0 до 3.6.1.
Ответить | Ответить с цитатой | Цитировать | Сообщить модератору
Антон Сугоняк
0 # Антон Сугоняк 06.08.2016 17:23
Цитирую Антон Сугоняк:
Парадокс! Единственный сайт из примерно 20, лежащих на одном и том же сервере не хотел обновляться. Выкидывая из установки. по рекомендациям перешел по ссылке github.com/.../native.php.
Скопировал и заменил файл native.php, тогда только совершилось успешное обновление с версии 3.6.0 до 3.6.1.

То есть до версии 3.6.2.
Ответить | Ответить с цитатой | Цитировать | Сообщить модератору
Антон Сугоняк
0 # Антон Сугоняк 06.08.2016 19:58
Продолжил обновлять сайты. Для многих предыдущий вариант с обновлением системного файла, не подходит. Обновление через FTP - самый стабильный. Использовал компонент Extplorer.
Ответить | Ответить с цитатой | Цитировать | Сообщить модератору

Добавить комментарий

Обновить
Защитный код

Joomla!® CMS — пожалуй, лучшая система управления контентом с открытым исходным кодом

Joomla! — это больше, чем просто программное обеспечение, это люди, включающие разработчиков, дизайнеров, системных администраторов, переводчиков, копирайтеров, и, что самое главное — простых пользователей.

Мы рады пригласить вас в ряды нашего сообщества!

Скачать Joomla! 3 Документация Joomla! CMS Свернуть

Новости портала

Новое в блогах

Видео